%define docver  5.2.2

Summary:	Software package for booting x86 PCs over a network
Name:		etherboot
Version:	5.2.5
Release:	2mdk
License:	GPL
Group:		Development/Kernel
Source0:	http://prdownloads.sourceforge.net/etherboot/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/etherboot/%{name}-doc-%{docver}.tar.bz2
Source2:	README.MDK.bz2
Patch0:		etherboot-5.2.5-gcc341.patch.bz2
URL:		http://etherboot.sourceforge.net/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Etherboot is a free software package for booting x86 PCs over a
network. In principle this could be any network technology that TCP/IP
runs on that supports broadcasting. In practice, the bandwidth
required means it's only practical over LANs and some WANs. Etherboot
is useful for booting PCs diskless. This is desirable in various
situations, for example:
  - Maintaining software for a cluster of equally configured
    workstations centrally.`
  - A low-cost X-terminal.
  - A low cost user platform where remote partitions are mounted by NFS
    and you are willing to accept the slowness of data transfers that
    results from NFS, compared to a local disk.
  - Various kinds of remote servers, e.g. a tape drive server that can
    be accessed with the RMT protocol.
  - Routers.
  - Machines doing tasks in environments unfriendly to disks.

See %{_docdir}/%{name}-%{version}/README.MDK for examples of usage.

%prep
%setup -q -a1
%patch0 -p1 -b .gcc341
bzcat %{SOURCE2} > README.MDK

%build
# we don't use custom optimizations here because it can cause problems
%make -C src
%make bin/boot1a.bin -C src
%make bin/floppyload.bin -C src
%make bin/start16.bin -C src
%make bin/comprefix.bin -C src
%make bin/liloprefix.bin -C src
%make bin/rloader.bin -C src
%make bin/pxeprefix.bin -C src

# clean up cvs files, remove .exe files
find . -name '.cvs*' | xargs rm -f
find . -name '*.exe' | xargs rm -f
find . -name '.keepme' | xargs rm -f
find . -name '.DS_Store' | xargs rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name}/{zimg,img},%{_bindir}}

install src/bin/*.img $RPM_BUILD_ROOT%{_datadir}/%{name}/img
install src/bin/*.zimg $RPM_BUILD_ROOT%{_datadir}/%{name}/zimg
install src/bin/*.bin $RPM_BUILD_ROOT%{_datadir}/%{name}
install src/util/makerom.pl $RPM_BUILD_ROOT%{_bindir}/makerom

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL RELNOTES index.html doc contrib README.MDK 
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(755,root,root) %{_bindir}/*

%changelog
* Wed Dec  1 2004 Pixel <pixel@mandrakesoft.com> 5.2.5-2mdk
- fix and enhance a little README.MDK

* Mon Nov  8 2004 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.5-1mdk
- 5.2.5, drop p0 - merged upstream
- add new patch0 for gcc-3.4.1

* Fri May  7 2004 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.4-2mdk
- examples from description -> README.MDK for Thierry

* Thu May  6 2004 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.4-1mdk
- 5.2.4

* Tue Dec 23 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.2-2mdk
- build additional files for creating other types of images

* Fri Dec 19 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.2-1mdk
- 5.2.2, add patch0 - build in memcmp

* Thu Aug  7 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.11-1mdk
- 5.0.11

* Thu May  1 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.10-1mdk
- 5.0.10

* Wed Apr  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.9-1mdk
- 5.0.9

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.7-3mdk
- rebuild for new glibc/lsb

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.7-2mdk
- really clean up .cvs files and .exe files

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.7-1mdk
- new version, clean up cvs files in tree

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.6-2mdk
- rpmlint: hardcoded-library-path (was in description)

* Fri May 31 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.6-1mdk
- new version

* Fri May 31 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.4-1mdk
- new package - adapted PLD SRPM 
